FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
fir::RealAttr Class Reference

`#include <flang/Optimizer/Dialect/FIRAttr.h>`

Inheritance diagram for fir::RealAttr:

## Public Types
using | ValueType = std::pair< int, llvm::APFloat >

## Public Member Functions
int | getFKind () const
llvm::APFloat | getValue () const

## Static Public Member Functions
static constexpr llvm::StringRef | getAttrName ()
static RealAttr | get (mlir::MLIRContext *ctxt, const ValueType &key)
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

A real attribute is used to workaround MLIR's default parsing of a real constant. `#fir.real<10, 3.14>` is used to introduce a real constant of value `3.14` with a kind of `10`.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRAttr.h
- lib/Optimizer/Dialect/FIRAttr.cpp